# OfferWalletObject | Android Developers

Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Inherited Constants | Fields | Methods | Inherited Methods | [Expand All]
public final class

# OfferWalletObject

extends Object
implements Parcelable

java.lang.Object
↳ | com.google.android.gms.wallet.OfferWalletObject

## Class Overview

Parcelable representing an offer wallet object. This could represent an offer from the merchant such as a coupon, etc. It has a buyerId that identifies the user to the merchant. If the offer is associated to a loyalty program, then this could be an identifier for that program. The offer also has a redemptionCode that will typically be used in the transaction, like a discount code or similar that the user would otherwise have to enter manually.

## Summary

[Expand] Inherited Constants

From interface android.os.Parcelable

int | CONTENTS_FILE_DESCRIPTOR |
int | PARCELABLE_WRITE_RETURN_VALUE |

Fields
public static final Creator<OfferWalletObject> | CREATOR |

Public Methods
int | describeContents()
String | getId()
String | getRedemptionCode()
int | getVersionCode()
void | writeToParcel(Parcel dest, int flags)

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

From interface android.os.Parcelable

abstract int | describeContents()
abstract void | writeToParcel(Parcel arg0, int arg1)

## Fields

#### public static final Creator<OfferWalletObject> CREATOR

## Public Methods

#### public int describeContents ()

#### public String getId ()

##### Returns

- The unique identifier for this Wallet Object.

#### public String getRedemptionCode ()

##### Returns

- The redemption code of the offer. This would be a coupon code or similar that user could enter to gain a discount, reward, etc.

#### public int getVersionCode ()

#### public void writeToParcel (Parcel dest, int flags)